poppler-enums
3
POPPLER Library

# poppler-enums

## Synopsis

    #define             POPPLER_TYPE_ACTION_TYPE
    GType               poppler_action_type_get_type        (void);
    #define             POPPLER_TYPE_DEST_TYPE
    GType               poppler_dest_type_get_type          (void);
    #define             POPPLER_TYPE_PAGE_LAYOUT
    GType               poppler_page_layout_get_type        (void);
    #define             POPPLER_TYPE_PAGE_MODE
    GType               poppler_page_mode_get_type          (void);
    #define             POPPLER_TYPE_FONT_TYPE
    GType               poppler_font_type_get_type          (void);
    #define             POPPLER_TYPE_VIEWER_PREFERENCES
    GType               poppler_viewer_preferences_get_type (void);
    #define             POPPLER_TYPE_PERMISSIONS
    GType               poppler_permissions_get_type        (void);
    #define             POPPLER_TYPE_SELECTION_STYLE
    GType               poppler_selection_style_get_type    (void);
    #define             POPPLER_TYPE_PAGE_TRANSITION_TYPE
    GType               poppler_page_transition_type_get_type
                                                            (void);
    #define             POPPLER_TYPE_PAGE_TRANSITION_ALIGNMENT
    GType               poppler_page_transition_alignment_get_type
                                                            (void);
    #define             POPPLER_TYPE_PAGE_TRANSITION_DIRECTION
    GType               poppler_page_transition_direction_get_type
                                                            (void);
    #define             POPPLER_TYPE_ERROR
    GType               poppler_error_get_type              (void);
    #define             POPPLER_TYPE_ORIENTATION
    GType               poppler_orientation_get_type        (void);
    #define             POPPLER_TYPE_BACKEND
    GType               poppler_backend_get_type            (void);

## Description

## Details

### POPPLER_TYPE_ACTION_TYPE

    #define POPPLER_TYPE_ACTION_TYPE (poppler_action_type_get_type ())

### poppler_action_type_get_type ()

    GType               poppler_action_type_get_type        (void);

Returns :

### POPPLER_TYPE_DEST_TYPE

    #define POPPLER_TYPE_DEST_TYPE (poppler_dest_type_get_type ())

### poppler_dest_type_get_type ()

    GType               poppler_dest_type_get_type          (void);

Returns :

### POPPLER_TYPE_PAGE_LAYOUT

    #define POPPLER_TYPE_PAGE_LAYOUT (poppler_page_layout_get_type ())

### poppler_page_layout_get_type ()

    GType               poppler_page_layout_get_type        (void);

Returns :

### POPPLER_TYPE_PAGE_MODE

    #define POPPLER_TYPE_PAGE_MODE (poppler_page_mode_get_type ())

### poppler_page_mode_get_type ()

    GType               poppler_page_mode_get_type          (void);

Returns :

### POPPLER_TYPE_FONT_TYPE

    #define POPPLER_TYPE_FONT_TYPE (poppler_font_type_get_type ())

### poppler_font_type_get_type ()

    GType               poppler_font_type_get_type          (void);

Returns :

### POPPLER_TYPE_VIEWER_PREFERENCES

    #define POPPLER_TYPE_VIEWER_PREFERENCES (poppler_viewer_preferences_get_type ())

### poppler_viewer_preferences_get_type ()

    GType               poppler_viewer_preferences_get_type (void);

Returns :

### POPPLER_TYPE_PERMISSIONS

    #define POPPLER_TYPE_PERMISSIONS (poppler_permissions_get_type ())

### poppler_permissions_get_type ()

    GType               poppler_permissions_get_type        (void);

Returns :

### POPPLER_TYPE_SELECTION_STYLE

    #define POPPLER_TYPE_SELECTION_STYLE (poppler_selection_style_get_type ())

### poppler_selection_style_get_type ()

    GType               poppler_selection_style_get_type    (void);

Returns :

### POPPLER_TYPE_PAGE_TRANSITION_TYPE

    #define POPPLER_TYPE_PAGE_TRANSITION_TYPE (poppler_page_transition_type_get_type ())

### poppler_page_transition_type_get_type ()

    GType               poppler_page_transition_type_get_type
                                                            (void);

Returns :

### POPPLER_TYPE_PAGE_TRANSITION_ALIGNMENT

    #define POPPLER_TYPE_PAGE_TRANSITION_ALIGNMENT (poppler_page_transition_alignment_get_type ())

### poppler_page_transition_alignment_get_type ()

    GType               poppler_page_transition_alignment_get_type
                                                            (void);

Returns :

### POPPLER_TYPE_PAGE_TRANSITION_DIRECTION

    #define POPPLER_TYPE_PAGE_TRANSITION_DIRECTION (poppler_page_transition_direction_get_type ())

### poppler_page_transition_direction_get_type ()

    GType               poppler_page_transition_direction_get_type
                                                            (void);

Returns :

### POPPLER_TYPE_ERROR

    #define POPPLER_TYPE_ERROR (poppler_error_get_type ())

### poppler_error_get_type ()

    GType               poppler_error_get_type              (void);

Returns :

### POPPLER_TYPE_ORIENTATION

    #define POPPLER_TYPE_ORIENTATION (poppler_orientation_get_type ())

### poppler_orientation_get_type ()

    GType               poppler_orientation_get_type        (void);

Returns :

### POPPLER_TYPE_BACKEND

    #define POPPLER_TYPE_BACKEND (poppler_backend_get_type ())

### poppler_backend_get_type ()

    GType               poppler_backend_get_type            (void);

Returns :